System 2.0.0.0 4.0.0.0 System.Enum

The values in the enumeration are used with the property.

The Content-Transfer-Encoding header specifies the encoding of the associated message body so that it meets SMTP requirements. SMTP requires data for transport to be in 7-bit US-ASCII characters with lines no longer than 1000 characters.

Content-Transfer-Encoding values are described in detail in RFC 2045 Section 6, available at http://www.ietf.org.

Specifies the Content-Transfer-Encoding header information for an e-mail message attachment.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.Mime.TransferEncoding

  Encodes stream-based data. See RFC 2406 Section 6.8.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.Mime.TransferEncoding

  Encodes data that consists of printable characters in the US-ASCII character set. See RFC 2406 Section 6.7.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.Mime.TransferEncoding

  Used for data that is not encoded. The data is in 7-bit US-ASCII characters with a total line length of no longer than 1000 characters. See RFC2406 Section 2.7.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.Mime.TransferEncoding

  Indicates that the transfer encoding is unknown.